/*-------------------------------------------------------------------------+
| Copyright 2014 fortiss GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.exploration.alg.dse.sysmodel.arch.af3;

import org.fortiss.af3.exploration.alg.dse.sysmodel.arch.IRequestAdapter;
import org.fortiss.tooling.base.model.element.IModelElement;

/**
 * Base adapter for concrete system model elements derived from {@link IRequestAdapter}.
 * 
 * @author barner
 */
public class AF3RequestAdapter<T extends IModelElement> extends AF3ModelElementAdapter<T> implements
		IRequestAdapter<T> {

	/** Creates a {@link IRequestAdapter}. */
	public AF3RequestAdapter(T modelElement) {
		super(modelElement);
	}
}
